Запустите приложения .NET 2.0 для Win

Ты так близко! Вам просто не хватает заглавных букв «R» в M-Right и «L» в M-Left.

Просто добавьте следующее в ~/.byobu/keybindings.tmux:

unbind -n M-Right
unbind -n M-Left

И затем нажмите F5 kbd>, чтобы перезагрузить свой профиль.

Полное раскрытие: я являюсь автором и хранителем Бёбу .

35
задан 18.02.2020, 06:04

4 ответа

У меня была похожая проблема 12.04, и вот что я сделал:

sudo apt-get install mono-complete

, а затем

mono /path/to/file.exe

и все!

0
ответ дан 18.02.2020, 06:05
  • 1
    @kommradHomer нет это что I' сделанный ve и это не работает – Enamul Hassan 18.02.2020, 06:06

Mono for Wine можно установить через apt:

sudo apt-get install wine-mono4.5.6\*

, что обеспечит уровень совместимости с MS .NET.

См. Mono на странице Wine для более подробной информации.

0
ответ дан 18.02.2020, 06:06

В моем случае я обнаружил, что установка mono-complete не позволяла моему приложению (CloudBerry Explorer) функционировать, так как он искал файлы конфигурации, которые не были найдены при запуске через Mono.

Я работаю в системе x64, на которую не устанавливается .NET 2.0 (см. http://appdb.winehq.org/objectManager.php?sClass=version&iId=3754 . ), поэтому я обнаружил, что должен удалить свой каталог Wine и выполнить:

export WINEARCH="win32"
winetricks dotnet20

(В качестве альтернативы вы можете установить другой WINEPREFIX для приложения с архитектурой win32, но у меня не было необходимость такого разделения сред и нюкинг моей предыдущей установки был вполне приемлемым.)

На данный момент я хотел запустить winetricks mono28, но winetricks еще не был обновлен, чтобы учесть, что Novell удаляет файл из их зеркало (см. http://code.google.com/p/winetricks/issues/detail?id=221 ). Я использовал предложенное решение в билете:

wget http://download.mono-project.com/archive/2.8/windows-installer/9/mono-2.8-gtksharp-2.12.10-win32-9.exe
wine mono-2.8-gtksharp-2.12.10-win32-9.exe

(Это заняло около 30 минут для загрузки, так как серверы mono-project.com не имеют такого же сока, как Novell, к сожалению ... Это позволило запустить приложение, которое я хотел использовать (у него есть некоторые проблемы, но я думаю, что это больше касается поддержки Wine, чем поддержки .NET).

0
ответ дан 18.02.2020, 06:07
  • 1
    Ничего себе, на 2 года позже и winetricks все еще hasn' t обновленный. От winetricks отказываются? – Seth 18.02.2020, 06:07

Попробуйте установить моно для Windows или .NET для Windows с Winetricks. В оболочке попробуйте:

winetricks dotnet20

и

winetricks mono28
0
ответ дан 18.02.2020, 06:07
  • 1
    Ошибка: не Может установить в 64-разрядной операционной системе. – mike 18.02.2020, 06:08
  • 2
    Зафиксированный эта ошибка выше путем удаления ~/.wine directory. – chqrlie 18.02.2020, 06:08
  • 3
    Получил эту ошибку: fixme:advapi:DecryptFileA "C:\\users\\yasin\\Temp\\IXP000.TMP\\" 00000000 fixme:advapi:LsaOpenPolicy ((null),0x33f31c,0x00000001,0x33f344) stub fixme:advapi:LsaClose (0xcafe) stub fixme:storage:create_storagefile Storage share mode not implemented. err:seh:raise_exception Unhandled exception code c0000005 flags 0 addr 0x451d7c @Andrei: кто заботится о том, что Вы хотите? OP хочет вино. – chqrlie 18.02.2020, 06:08
  • 4
    Не работал и it' s offtopic. Мы хотим использовать Моно не Вино. Ответ @jnorambuena зафиксировал его для меня. – msc 18.02.2020, 06:09
  • 5
    Я нашел фиксацию к своей проблеме на 64 бита и был готов записать его в ответе, НО ЭТОТ ВОПРОС ЗАЩИЩЕН... – Martijn Pieters 18.02.2020, 06:09

Теги

Похожие вопросы